Delete wallet pass notification
curl --request DELETE \
--url https://api.ubpass.co/v1/wallet-pass/notifications/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ubpass.co/v1/wallet-pass/notifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ubpass.co/v1/wallet-pass/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"txId": "1f098faa-8f33-6425-b4ff-533200846d35",
"timestamp": "24-09-2025 03:57:59",
"errorCode": "INVALID_OPERATION",
"errorMessage": "Cannot delete notification with status 'Published'",
"context": {
"id": "1f083424-11ed-617f-9513-1b26dc975ee2",
"status": "Published"
}
}{
"txId": "Root=1-68d3693c-26a3db2278c7668f5e086711",
"timestamp": "24-09-2025 03:45:00",
"errorCode": "UNAUTHORIZED",
"errorMessage": "UNAUTHORIZED."
}{
"txId": "1f098fa9-3786-64d4-b4ff-533200846d35",
"timestamp": "24-09-2025 03:57:23",
"errorCode": "NOT_FOUND",
"errorMessage": "Not found.",
"context": {
"id": "1f083424-11ed-617f-9513-1b26dc975ee2"
}
}Passport - Push Notifications
Delete wallet pass notification
Delete wallet pass notification by ID. Only Draft or Scheduled notifications can be deleted.
Deletion Rules:
Draftnotifications can always be deletedSchedulednotifications can be deleted before they are processedProcessing,Published, orFailednotifications cannot be deleted
DELETE
/
wallet-pass
/
notifications
/
{id}
Delete wallet pass notification
Authorizations
AccessTokenAPIKey
Bearer token authentication
Headers
Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user
Pattern:
^[a-zA-Z0-9-_]+$Path Parameters
Unique identifier of the notification to delete
Pattern:
^[a-zA-Z0-9-_]+$Response
Notification deleted successfully
⌘I